Subject: Re: [PATCH 01/20] t: mark a bunch of tests as leak-free

From: Junio C Hamano <[email-masked]>
Date: Thu, 23 May 2024 10:44:22 -0700

Patrick Steinhardt <[email-masked]> writes:

>   - t4153: Passes since 71c7916053 (apply: plug a leak in apply_data,
>     2024-04-23).
>
>   - t7006: Passes since at least Git v2.40. I did not care to go back
>     any further than that.

Since the base commit you chose to apply this step to (which is
unknown to me) and the tip of 'master' today 4365c6fc (The sixth
batch, 2024-05-20), we must have reintroduced more leaks.

$ SANITIZE=leak GIT_TEST_PASSING_SANITIZE_LEAK=true \
  Meta/Make -j16 --test=4153,7006 test

dies with

    Test Summary Report
    -------------------
    t4153-am-resume-override-opts.sh (Wstat: 256 (exited 1) Tests: 5 Failed: 1)
      Failed test:  2
      Non-zero exit status: 1
    t7006-pager.sh                  (Wstat: 256 (exited 1) Tests: 109 Failed: 6)
      Failed tests:  14, 70-74
      Non-zero exit status: 1

Here, Meta/Make is a thin wrapper around "make", I primarily use it
for its --test=only,these,tests feature, which is an opposite of
GIT_SKIP_TESTS. (Meta/ is a separate checkout of the 'todo' branch
of this project, that keeps things like whats-cooking.txt and
miscellaneous tools I use to manage the project).